// Copyright 2023 Christian Ulrich
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// usage: ./part1 < input

pub mod common;

use common::Games;

fn main() -> Result<(), &'static str> {
    let mut result = 0;
    for game in Games::from_stdin()?.iter() {
        if game.red_count() <= 12 && game.green_count() <= 13 && game.blue_count() <= 14 {
            result += game.id();
        }
    }
    println!("{result}");
    Ok(())
}
